2015-02-04 04:21  busa_ru

	* Makefile.am, configure.ac:
	  
	  [u] bump version number to 0.8.2 (this is a release commit)

2015-02-04 04:12  busa_ru

	* NEWS, stalonetray.xml.in:
	  
	  [f] numerous typos

2015-02-03 20:41  busa_ru

	* Makefile.am, configure.ac, configure.in, src/Makefile.am:
	  
	  [f] Modernize autotools usage

2015-02-03 20:41  busa_ru

	* stalonetray.xml.in:
	  
	  [f] add author info to stalonetray.xml to make manpages xslt happy

2015-02-02 20:17  busa_ru

	* src/tray.c, src/wmh.h:
	  
	  [f] set _NET_WM_STRUTS_PARTIAL correctly (kudos to Mario Pilz for the patch)
	  
	  The original e-mail follows:
	  
	  I noticed strange behaviour of my window manager when using stalonetray on a
	  2-screen setup. Coincidentally i noticed that the tray did not set
	  _NET_WM_STRUTS_PARTIAL correctly.
	  
	  An example: I configured stalonetry to reserve 28 pixels on the top edge of the
	  screen starting 1000 pixels from the left with a width of 280 pixels. The tray
	  then set:
	  
	  _NET_WM_STRUT_PARTIAL(CARDINAL) = 0, 0, 28, 0, 0, 0, 1000, 0, 0, 0, 1280, 0
	  
	  According to the specification[1] it should be:
	  
	  _NET_WM_STRUT_PARTIAL(CARDINAL) = 0, 0, 28, 0, 0, 0, 0, 0, 1000, 1279, 0, 0
	  
	  After going through the source i found the problems causing this:
	  1) the indices used to set the struts were wrong
	  2) the end values of the struts were calculated by simply adding the window
	  width/height to the start value. This resulted in one pixel too much.
	  (The first pixel the tray did not want to reserve instead of the last it
	  wanted to)

2015-02-02 20:17  busa_ru

	* src/tray.h:
	  
	  [f] remove KLUDGE_FORCE_ICONS_SIZE/KLUDGE_USE_ICONS_HINTS value collision

2015-02-02 20:17  busa_ru

	* src/settings.c:
	  
	  [f] combine different kludge flags when parsing cmdline/rcfile

2015-02-02 20:17  busa_ru

	* src/debug.c, src/embed.c, src/icons.c, src/layout.c, src/settings.c:
	  
	  [f] fix some bugs from cppcheck & lint

2015-02-02 20:17  busa_ru

	* src/main.c:
	  
	  [f] check if dpy is valid when cleaning up.
	  
	  Fixes Mayhem bug 37431 and Debian bug 716356.

2015-02-02 20:17  busa_ru

	* stalonetrayrc.sample.in:
	  
	  [f] typos in stalontrayrc.sample
	  
	  Fixes Debian bug 718233.

2015-02-02 20:17  busa_ru

	* README:
	  
	  [f] log level recommendaton in README

2015-02-02 20:17  busa_ru

	* src/wmh.c:
	  
	  [f] _NET_WM_DESKTOP support
	  
	  Root cause: uninitialized value in ewmh_set_window_atom32(). Thanks to
	  Sasha Vasko for the report.

2015-02-02 20:17  busa_ru

	* README, TODO, configure.in, src/debug.c, src/debug.h, src/embed.c, src/embed.h,
	  src/icons.c, src/icons.h, src/image.c, src/image.h, src/kde_tray.c,
	  src/layout.c, src/list.h, src/main.c, src/scrollbars.c, src/scrollbars.h,
	  src/settings.c, src/settings.h, src/tray.c, src/tray.h, src/wmh.c, src/xembed.c,
	  src/xutils.c, src/xutils.h, stalonetrayrc.sample.in, utils/get_props/main.c,
	  utils/tray-test-fdo/main.c, utils/tray-xembed-test/common.h,
	  utils/tray-xembed-test/debug.c, utils/tray-xembed-test/main.c,
	  utils/tray-xembed-test/xutils.c:
	  
	  [f] trailing whitespaces

2015-02-02 20:17  busa_ru

	* src/settings.c:
	  
	  [+] print feature list on startup

2011-02-20 15:20  busa_ru

	* src/main.c, src/tray.c, src/tray.h:
	  
	  [+] support _NET_WM_PING

2010-11-06 14:16  busa_ru

	* stalonetray.xml.in:
	  
	  [f] typos/grammar in stalonetray.xml.in
	  
	  - this is a release commit for 0.8.1.

2010-11-06 14:15  busa_ru

	* configure.in:
	  
	  [f] fix handling of configure parameters
	  
	  --disable-dump-win-info and --disable-graceful-exit now work properly.

2010-11-06 14:14  busa_ru

	* Makefile.am:
	  
	  [u] update XSLT tools locations to match Fedora

2010-10-13 08:03  busa_ru

	* src/settings.c:
	  
	  [f] make sure that --window-* options are defined as having mandatory parameters

2010-08-02 00:56  busa_ru

	* src/layout.c:
	  
	  [f] do not reset is_updated flag in layout functions that set it

2009-11-16 03:39  busa_ru

	* src/debug.c, src/debug.h, src/main.c:
	  
	  [f] Fix handling of SIGPIPE: disable all console
	  output

2009-11-13 18:20  busa_ru

	* configure.in, src/main.c, src/xutils.c, src/xutils.h, stalonetray.xml.in:
	  
	  [+] fix typos in manpage
	  [+] bring async-dpy hack back (sigh...)

2009-10-24 15:33  busa_ru

	* stalonetray.xml.in:
	  
	  [f] update manpage on geometry

2009-10-23 09:54  busa_ru

	* src/main.c:
	  
	  [f] fix build failure for non-debug configuration

2009-10-21 16:16  busa_ru

	* TODO, configure.in, src/main.c, src/tray.c, src/tray.h,
	  utils/tray-test-gtk/traytest:
	  
	  [+] bump version up to 0.8.0 (this is a release commit)
	  [f] update window struts on every configure event

2009-10-18 17:25  busa_ru

	* configure.in, src/settings.c, stalonetray.xml.in:
	  
	  [+] bump beta version up to 2
	  [+] add documentation regarding scrollbar highlighting

2009-10-13 10:13  busa_ru

	* src/scrollbars.c, src/scrollbars.h, src/settings.c, src/settings.h,
	  src/xutils.c, src/xutils.h:
	  
	  [+] moderate code refactoring
	  [+] implement scrollbars highlighting (makes it much
	  easier to find them)

2009-10-12 02:21  busa_ru

	* TODO, src/debug.c, src/debug.h, src/settings.c, src/tray.c:
	  
	  [f] order of options in --help output
	  [f] amount of info and proper date formatting in trace mode
	  [f] implement proper calculation of tray max/orig dimensions
	  in interpret_settings()

2009-10-07 03:09  busa_ru

	* NEWS, configure.in, src/debug.h:
	  
	  [+] bump beta version number

2009-10-07 02:28  busa_ru

	* TODO, stalonetray.xml.in:
	  
	  [f] typoss and rewording in manpage

2009-10-02 03:33  busa_ru

	* stalonetray.xml.in:
	  
	  [+] fix typo in manpage

2009-10-02 03:25  busa_ru

	* NEWS, configure.in:
	  
	  [+] bump version to beta0
	  [+] add news for 0.8

2009-09-28 14:49  busa_ru

	* src/settings.c:
	  
	  [f] fix max geometry normalization

2009-09-28 03:13  busa_ru

	* src/wmh.h:
	  
	  [f] Fix window strut on x86_64

2009-09-21 12:15  busa_ru

	* PORTING, TODO, configure.in, doc, src/common.h, src/debug.c, src/debug.h,
	  src/embed.c, src/icons.c, src/image.c, src/kde_tray.c, src/layout.c, src/main.c,
	  src/scrollbars.c, src/settings.c, src/settings.h, src/tray.c, src/wmh.c,
	  src/xembed.c, src/xutils.c, src/xutils.h, stalonetray.xml.in,
	  stalonetrayrc.sample.in:
	  
	  [f] code cleanup:
	  - get rid of DBG levels and friends, use 3 log classes:
	  ERR, INFO and TRACE; --dbg-level is now --log-level
	  - get rid of extra blank lines
	  - rework some trace/error messages
	  - get rid of dump_icon_list() calls
	  [f] remove stale docs
	  [+] update documentation and sample rc file
	  [f] max geometry now cannot be smaller than geometry

2009-09-14 15:47  busa_ru

	* Makefile.am, TODO, configure.in, src/IDEAS, src/ISSUES, src/debug.c,
	  src/layout.c, src/layout.h, src/main.c, src/scrollbars.c, src/scrollbars.h,
	  src/settings.c, src/settings.h, src/tray.c, src/tray.h, src/wmh.c, src/xutils.c,
	  src/xutils.h, stalonetray.xml.in, utils/tray-test-fdo/main.c:
	  
	  [+] bump alpha revision to 3
	  [+] make tray window name adjustable via --window-name
	  [+] implement remote icon clicking
	  [f] make scrollbars gravity-aware (fix icon placement)
	  [f] cleanups in main event loop: use XNextEvent() always
	  [f] some fixes from valgrind logs

2009-08-26 05:54  busa_ru

	* TODO, src/settings.c:
	  
	  [f] Add missing initialization of tray dimensions

2009-08-15 06:58  busa_ru

	* TODO, src/embed.c, src/main.c, src/scrollbars.c, src/settings.c, src/settings.h,
	  src/tray.c, src/tray.h, src/xembed.c, stalonetray.xml.in:
	  
	  [f] Misc source code cleanups
	  [f] Fix for wmaker mode (appear as a dockapp)
	  [+] Move --ignore-icon-resize and --respect-icon-hints under --kludge option
	  [f] Geometry code fixes (use proper hints, etc)

2009-07-30 11:56  busa_ru

	* TODO, configure.in, src/main.c, src/scrollbars.c, src/settings.c,
	  src/settings.h, src/tray.c, src/tray.h, src/wmh.c, src/wmh.h,
	  stalonetray.xml.in, utils/tray-test-gtk/traytest:
	  
	  * implement window struts
	  * implement basic support for WMaker dockapp mode
	  (deprecates --withdrawn)
	  * update documentation

2009-03-27 17:56  busa_ru

	* ., TODO, src/Makefile.am, src/embed.c, src/layout.c, src/layout.h, src/main.c,
	  src/scrollbars.c, src/scrollbars.h, src/settings.c, src/settings.h, src/tray.c,
	  src/tray.h:
	  
	  Merge in scrollbars branch

2008-12-27 04:32  busa_ru

	* src/main.c:
	  
	  * update expose_notify() so that refresh happens only on the last event of a
	  sequence

2008-12-27 04:30  busa_ru

	* src/embed.c:
	  
	  * update send_delayed_confirmation() (dont use async_dpy)

2008-08-05 06:58  busa_ru

	* src/main.c, src/tray.c, stalonetray.xml.in:
	  
	  * fix window position calucation in tray_update_window_size()
	  * fix docs (typos and update wrt default settings)
	  * add missing includes to main.c

2008-08-05 03:48  busa_ru

	* src/layout.c:
	  
	  * fix layout icon resize handler: backup grid dimensions and restore them
	  in case of error

2008-08-02 10:11  busa_ru

	* src/kde_tray.c, src/layout.c, src/main.c, src/tray.c:
	  
	  * Increase amount of debug output
	  * Move tray status dumper to separate function

2008-07-28 01:59  busa_ru

	* src/icons.c, src/main.c:
	  
	  * my_usleep(): fix so that it really sleeps
	  * icon_list_new(): initialize num_size_resets (fixes icon embedding issues)

2008-07-05 09:12  busa_ru

	* src/kde_tray.c, src/kde_tray.h, src/main.c:
	  
	  * upd:property_notify():handle WM restarts and re-set tray hints and KDE
	  support mode

2008-06-12 10:40  busa_ru

	* TODO, src/settings.c, stalonetray.xml.in, stalonetrayrc.sample.in:
	  
	  * add missing slot_size to sample rc file
	  * add desktop to list of supported window types (+ update docs)

2008-04-17 07:32  busa_ru

	* TODO:
	  
	  

2008-04-17 06:26  busa_ru

	* src/common.h, src/embed.c, src/icons.h, src/main.c:
	  
	  Fixes for ignore_icon_resize behaviour
	  
	  * reset icon size to default if it tries to change its size
	  * count attempts (for non-KDE icons), give up if they pass threshold
	  
	  Debugging enchancements
	  
	  * add define which changes mid-parent color to black

2008-03-23 17:15  busa_ru

	* src/embed.c:
	  
	  upd:minor comments update

2008-03-23 17:14  busa_ru

	* src/settings.c:
	  
	  fix:parse_rc():NetBSD build fix from Steve Bellovin

2008-03-23 17:12  busa_ru

	* src/layout.c, src/main.c, src/settings.c, src/settings.h, src/tray.c,
	  stalonetray.xml.in:
	  
	  upd:all: transition to slot_size
	  upd:interpret_settings(): minor cleanups
	  upd:stalonetray.xml.in: minor fixes

2008-03-23 16:15  busa_ru

	* stalonetray.spec.in:
	  
	  upd: now depend on x11-devel
	  
	  As now there's Fedora package for stalonetray,
	  spec file won't be actively maintained.

2008-03-20 18:07  busa_ru

	* configure.in:
	  
	  upd: bump version number

2008-03-20 18:06  busa_ru

	* TODO:
	  
	  

2008-02-10 18:54  busa_ru

	* src/main.c:
	  
	  fix:my_usleep(): simple sleep func that sleeps but does not block signals
	  fix:main(): implement proper event loop with my_usleep
	  fix:*:get rid of async_dpy ugliness

2008-02-10 18:51  busa_ru

	* src/tray.c, src/tray.h:
	  
	  del: struct TrayData: remove async_dpy field
	  add: struct TryaData: add terminated field to serve as a termination flag

2008-02-10 18:31  busa_ru

	* src/xutils.c:
	  
	  upd:x11_wait_for_timestamp(): try to handle cases when the window being waited
	  for
	  gets destroyed

2008-02-10 17:52  busa_ru

	* src/main.c:
	  
	  upd:main(): list atoms supported by WM on startup
	  upd:property_notify(): list atoms supported by WM on WM (re)starts

2008-02-10 17:51  busa_ru

	* src/tray.c:
	  
	  upd:tray_set_wm_hints(): update to match new EWMH API

2008-02-10 17:50  busa_ru

	* src/wmh.c, src/wmh.h:
	  
	  add:ewmh_wm_present(): func to check for EWMH-compliant WM
	  upd:ewmh_add_window_state(): do not fail on WM not being available
	  upd:ewmh_add_window_type(): do not fail on WM not being available
	  add:ewmh_set_window_atom32(): func to set windows atom in EWMH-compliant way
	  add:ewmh_list_supported_atoms(): func to list atoms supported by WM

2008-02-03 17:44  busa_ru

	* Makefile.am, NEWS, TODO, configure.in, src/debug.c, src/debug.h, src/embed.c,
	  src/icons.h, src/kde_tray.c, src/layout.c, src/main.c, src/settings.c,
	  src/settings.h, src/tray.c, src/tray.h, src/wmh.c, src/xembed.c, src/xembed.h,
	  src/xutils.c, stalonetray.xml.in, stalonetrayrc.sample.in,
	  utils/tray-test-fdo/main.c, utils/tray-xembed-test/main.c:
	  
	  Merged version 0.7 bugfixes branch

2007-09-22 13:45  busa_ru

	* TODO:
	  
	  

2007-09-21 14:31  busa_ru

	* Makefile.am:
	  
	  * update ChangeLog generation

2007-09-20 16:24  busa_ru

	* 
	  
	  

2007-09-15 10:20  busa_ru

	* 
	  
	  fix: image_tint_32(): fix loop condition so that _all_ pixels are tinted
	  fix: image_tint_24(): fix loop condition so that _all_ pixels are tinted
	  fix: image_tint_16(): fix loop condition so that _all_ pixels are tinted
	  fix: image_tint_15(): fix loop condition so that _all_ pixels are tinted

2007-09-15 06:37  busa_ru

	* 
	  
	  fix: add stalonetray.xml.in and stalonetrayrc.sample.in to the list of
	  distributed files

2007-09-15 04:42  busa_ru

	* 
	  
	  upd: cleanup(): sanitize debug levels
	  upd: add_icon(): sanitize debug levels
	  upd: remove_icon(): sanitize debug levels
	  upd: icon_track_visibility_changes(): sanitize debug levels
	  upd: kde_icons_update(): sanitize debug levels
	  upd: perform_periodic_tasks(): sanitize debug levels
	  upd: client_message(): sanitize debug levels
	  upd: configure_notify(): sanitize debug levels
	  upd: selection_clear(): sanitize debug levels
	  upd: map_notify(): sanitize debug levels
	  upd: main(): sanitize debug levels

2007-09-15 04:32  busa_ru

	* 
	  
	  upd: layout_handle_icon_resize(): sanitize debug levels
	  upd: grid2window(): sanitize debug levels
	  upd: grid_add(): sanitize debug levels
	  upd: grid_place_icon(): sanitize debug levels
	  upd: icon_placement_create(): sanitize debug levels
	  upd: icon_placement_choose_best(): sanitize debug levels
	  upd: grid_find_placement(): sanitize debug levels

2007-09-15 04:29  busa_ru

	* 
	  
	  fix: interpret_settings(): die on bad background color specification

2007-09-15 04:26  busa_ru

	* 
	  
	  fix: get_args(): return SUCCESS/FAILURE instead of True/False
	  upd: get_args(): die on OOM condition instead of returning False
	  upd: get_args(): die on undhandled quotes disbalance
	  upd: parse_rc(): sanitize debug levels
	  fix: parse_rc(): check get_args() return value and die on error condition
	  upd: interpret_settings(): die if unable to parse tint color
	  upd: interpret_settings(): sanitize debug levels
	  upd: read_settings(): sanitize debug levels

2007-09-15 04:22  busa_ru

	* 
	  
	  upd: tray_init_pixmap_bg(): sanitize debug levels
	  upd: tray_update_root_bg_pmap(): sanitize debug levels
	  upd: tray_update_bg(): sanitize debug levels
	  upd: tray_update_window_size(): sanitize debug levels
	  upd: tray_create_window(): sanitize debug levels
	  upd: tray_acquire_selection(): sanitize debug levels

2007-09-15 04:19  busa_ru

	* 
	  
	  upd: ewmh_check_support(): sanitize debug levels
	  upd: ewmh_dump_window_states(): sanitize debug levels

2007-09-15 04:18  busa_ru

	* 
	  
	  upd: xembed_init(): sanitize debug levels
	  upd: xembed_handle_event(): sanitize debug levels
	  upd: xembed_switch_focus_to(): sanitize debug levels
	  upd: xembed_track_focus_change(): sanitize debug levels
	  upd: xembed_message(): sanitize debug levels
	  upd: xembed_del_accel(): sanitize debug levels

2007-09-15 04:16  busa_ru

	* 
	  
	  upd: x11_io_error_handler(): remove redundant DBG call
	  upd: x11_error_handler(): sanitize debug levels
	  upd: x11_set_window_size(): sanitize debug levels
	  upd: x11_get_window_size(): sanitize debug levels
	  upd: x11_get_window_min_size(): sanitize debug levels
	  upd: x11_dump_win_info(): enable dumping of window info at debug level 8

2007-09-15 04:04  busa_ru

	* 
	  
	  upd: kde_tray_init(): sanitize debug levels
	  upd: kde_tray_old_icons_remove(): sanitize debug levels

2007-09-15 04:03  busa_ru

	* 
	  
	  upd: image_tint(): die on invalid image depth instead of returning FAILURE
	  upd: image_compose(): die on invalid image depth instead of returning FAILURE

2007-09-15 04:02  busa_ru

	* 
	  
	  upd: icon_list_backup(): die on double-backup instead of returning FAILURE
	  upd: icon_list_backup(): sanitize debug levels
	  upd: icon_list_restore(): sanitize debug levels

2007-09-15 04:01  busa_ru

	* 
	  
	  upd: embedder_embed(): sanitize debug levels
	  upd: embedder_unembed(): sanitize debug levels
	  upd: embedder_update_window_positions(): sanitize debug levels
	  upd: embedder_refresh(): sanitize debug levels
	  upd: embedder_reset_size(): sanitize debug levels

2007-09-15 03:24  busa_ru

	* 
	  
	  upd: print_icon_data(): increase debug levels to 6

2007-09-15 03:21  busa_ru

	* 
	  
	  fix: typo in @VERSION_STR@ substition string

2007-09-15 03:13  busa_ru

	* 
	  
	  *** empty log message ***

2007-09-10 17:01  busa_ru

	* 
	  
	  upd: tray_update_window_size(): add extra debuggin output
	  upd: tray_create_window(): disable backing store when parent bg is on
	  upd: tray_create_window(): restore PropertyChangeMask in call to
	  XSelectInput() on tray window, it is requred for
	  x11_get_server_timestamp()
	  upd: tray_show_window(): update window size before mapping it

2007-09-10 16:50  busa_ru

	* 
	  
	  upd: perform_periodic_tasks(): report grid geometry in icon_size
	  multiples
	  upd: perform_periodic_tasks(): report _real_ tray geometry from
	  XGetWindowAttributes
	  upd: perform_periodic_tasks(): add size-updating kludge to forse
	  window size to one which is desired
	  add: visibility_notify(): new function to handle visibility notifies
	  (currently unused)
	  upd: client_message(): call tray_update_window_size() after docking
	  is confirmed
	  upd: configure_notify(): add comments
	  upd: main(): add visibility notify handling to main event loop

2007-09-10 16:43  busa_ru

	* 
	  
	  upd: parse_cmdline(): update comments
	  upd: struct Param params: add "-f" as short version of fuzzy_edges
	  parameter

2007-09-10 16:41  busa_ru

	* 
	  
	  upd: embedder_reset_size(): remove (now) redundant TODO

2007-09-10 16:36  busa_ru

	* 
	  
	  fix: decorations is "none" by default (and not "all")

2007-09-10 16:35  busa_ru

	* 
	  
	  upd: decorations option: mention no_deco and friends as depricated,
	  add decspec to all terms
	  upd: fuzzy_edges option: make level optional, mention default value
	  when level is ommited

2007-09-10 16:31  busa_ru

	* 
	  
	  upd: add all auto-generated files to mainaner-clean target

2007-09-10 16:30  busa_ru

	* 
	  
	  *** empty log message ***

2007-09-10 16:28  busa_ru

	* 
	  
	  *** empty log message ***

2007-09-10 16:11  busa_ru

	* 
	  
	  update the list of bugs

2007-09-07 11:51  busa_ru

	* 
	  
	  fix: property_notify(): call tray_refresh_window() also when fuzzy edges
	  are used
	  add: new func expose(): to handle exposures; refreshes tray window
	  add: main(): handle Expose events in main loop

2007-09-07 11:45  busa_ru

	* 
	  
	  fix: tray_create_window(): cleanup masks in call to XSelectInput()

2007-09-07 11:05  busa_ru

	* 
	  
	  del: grid_update_icon_placement(): unused
	  fix: grid_remove(): fix wording in comment

2007-09-07 10:05  busa_ru

	* 
	  
	  fix: grid_remove(): fix implementation to handle
	  shrink_back mode property

2007-09-07 10:05  busa_ru

	* 
	  
	  *** empty log message ***

2007-09-07 05:52  busa_ru

	* 
	  
	  upd: perform_periodic_tasks(): add call to tray_refresh_window()
	  upd: property_notify(): update call to tray_refresh_window() to new signature
	  upd:configure_notify(): update call to tray_refresh_window() to new signature

2007-09-07 05:51  busa_ru

	* 
	  
	  fix: swap(): remove unecessary ';' in macro definition

2007-09-07 05:50  busa_ru

	* 
	  
	  upd: embedder_update_positions(): make use of x11_refresh_window()

2007-09-07 05:49  busa_ru

	* 
	  
	  upd: tray_refresh_window(): make use of x11_refresh_window()
	  upd: tray_create_window(): mark XSelectInput() call for revision

2007-09-07 05:48  busa_ru

	* 
	  
	  add: x11_send_visibility(): new func to send visibility notifies
	  add: x11_send_expose(): new func to send exposures
	  add: x11_refresh_window(): new func to refresh window`s contents

2007-09-05 11:34  busa_ru

	* 
	  
	  *** empty log message ***

2007-09-05 11:33  busa_ru

	* 
	  
	  fix: embedder_refresh(): fix nasty bug: do not try to refresh hidden icons

2007-09-05 11:33  busa_ru

	* 
	  
	  upd: client_message(): add extra debug output

2007-09-05 11:01  busa_ru

	* 
	  
	  upd: icon_placement_choose_best(): print some auxiliary debug info

2007-09-05 11:00  busa_ru

	* 
	  
	  fix: tray_update_window_size(): set WM size hints _first_ (setting maximal tray
	  size)
	  and call XResizeWindow() after that
	  upd: always call XResizeWindow() (who cares?)

2007-09-05 10:03  busa_ru

	* 
	  
	  fix: grid2window(): make translation orientation-aware
	  fix: grid_add(): set is_layout flag _before_ calling grid_place_icon()
	  fix: icon_placement_create(): make calculation of validness orientation-aware
	  fix: icon_placement_choose_best(): make calculation of window size
	  deltas orientation-aware

2007-09-05 09:57  busa_ru

	* 
	  
	  *** empty log message ***

2007-09-05 09:55  busa_ru

	* 
	  
	  fix: property_notify(): always refresh window on wallp. change
	  upd: property_notify(): update KDE icons list only if tray is active

2007-09-05 09:52  busa_ru

	* 
	  
	  fix: tray_create_window(): fix withrawn mode: set icon_window WMH
	  fix: tray_set_wm_hints(): compare strings using strcmp
	  upd: tray_update_root_bg_pmap(): set rc=0 just in case

2007-09-05 09:47  busa_ru

	* 
	  
	  fix: usage(): fix wording
	  add: parse_rc(): show info about rc parameter being processed

2007-09-02 17:02  busa_ru

	* 
	  
	  *** empty log message ***

2007-09-02 17:00  busa_ru

	* 
	  
	  upd: implement automatic version string in docbook xml, RPM spec and
	  sample rc file
	  upd: add all new features into documentation
	  upd: fix wording in documentation
	  del: all non *.in files

2007-09-02 16:57  busa_ru

	* 
	  
	  add: preliminary NEWS version for 0.7

2007-09-02 16:56  busa_ru

	* 
	  
	  *** empty log message ***

2007-09-02 16:56  busa_ru

	* 
	  
	  fix: show sf.net e-mail

2007-09-02 16:54  busa_ru

	* 
	  
	  fix: usage(): fix wording

2007-08-31 16:58  busa_ru

	* 
	  
	  *** empty log message ***

2007-08-31 16:54  busa_ru

	* 
	  
	  upd: layout_handle_icon_resize(): updated to use dump_icon_list()
	  fix: icon_placement_choose_best(): put back lost placement positions
	  points comparison
	  add: icon_placement_choose_best(): sync window deltas with layout deltas
	  if tray size is larger than original

2007-08-31 15:59  busa_ru

	* 
	  
	  *** empty log message ***

2007-08-31 15:58  busa_ru

	* 
	  
	  upd: embedder_refresh(): backport changes from 0.6.x branch. respect
	  ignore_icon_resize and respect_icon_hints settings
	  upd: embedder_embed(): MAJOR CHANGE: reformat a little

2007-08-31 15:53  busa_ru

	* 
	  
	  fix: kde_tray_update_old_icons(): fix x11_ok() usage
	  fix: kde_tray_init(): fix x11_ok() usage, check return value of XQueryTree()
	  fix: kde_tray_init(): leave list of old icons empty if there's no
	  previous tray selection owner

2007-08-31 15:49  busa_ru

	* 
	  
	  add: KDE_ICON_SIZE constant for ... KDE icon size!

2007-08-31 15:48  busa_ru

	* 
	  
	  fix: property_notify(): call kde_icons_update() only if tray is active
	  add: perform_periodic_tasks(): indicate whether tray is active
	  upd: request_tray_status_on_signal(): implement asynchronous status
	  request scheme: send fake tray opcode message with
	  STALONE_TRAY_STATUS_REQUESTED opcode.

2007-08-31 15:46  busa_ru

	* 
	  
	  add: respect_icon_hints setting (try to respect icon size hints)
	  add: ignore_icon_resize setting (ignore icons attempts to resize its window)
	  fix: interpret_settings: ensure that tray window width and height are
	  multiples of icon_size before calculating window position

2007-08-31 15:40  busa_ru

	* 
	  
	  fix: tray_update_root_bg_pmap(): fix x11_ok() usage
	  add: STALONE_TRAY_STATUS_REQUESTED tray message opcode as a fake message
	  to request tray data

2007-08-31 15:39  busa_ru

	* 
	  
	  fix: ewmh_add_window_state(): fix usage of x11_ok()

2007-08-31 15:29  busa_ru

	* 
	  
	  fix: x11_get_win_prop32(): correct calculation of property length
	  upd: x11_ok(): add comment stating some usage guidelines

2007-08-28 16:44  busa_ru

	* 
	  
	  upd: map_notify(): fix type in comment
	  upd: configure_notify(): make use of dump_icon_list()
	  upd: reparent_notify(): make use of dump_icon_list()
	  upd: perform_periodic_tasks(): code cleanup, make use of dump_icon_list(),
	  fix bug in non-debug version
	  upd: add_icon(): remove bogus TODO
	  upd: cleanup(): close async_dpy as well

2007-08-28 16:40  busa_ru

	* 
	  
	  upd: embedder_unembed(): remove XXX
	  upd: embedder_reset_size(): proper computation of kde_icon_size

2007-08-28 16:39  busa_ru

	* 
	  
	  upd: interpret_settings(): set minimal cutoff value for settings.icon_size
	  to MIN_ICON_SIZE
	  upd: remove XXXs from parse_cmdline() and get_args()
	  upd: FALLBACK_SIZE -> FALLBACK_ICON_SIZE rename

2007-08-28 16:37  busa_ru

	* 
	  
	  upd: mark XRender TODO for 0.8

2007-08-28 16:35  busa_ru

	* 
	  
	  upd: rename FALLBACK_SIZE -> FALLBACK_ICON_SIZE
	  add: MIN_ICON_SIZE define for minimal icon size

2007-08-28 16:33  busa_ru

	* 
	  
	  add: dump_icon_list(): common function which prints whole icon list
	  with appropriate start/finish markers

2007-08-28 16:29  busa_ru

	* 
	  
	  upd: remove XXX from tray_update_window_size()
	  fix: tray_create_window(): proper error checking for
	  XmbTextListToTextProperty() call

2007-08-28 16:28  busa_ru

	* 
	  
	  add: x11_send_client_msg32(): comment about event mask

2007-08-28 16:26  busa_ru

	* 
	  
	  add: comments about current implementation limitations
	  add: (commented out) code that ignores XEMBED messages if they are late

2007-08-28 13:55  busa_ru

	* 
	  
	  fix: tray_create_window(): die on XmbTextListToTextProperty() failure

2007-08-28 13:55  busa_ru

	* 
	  
	  fix: x11_get_win_prop32(): always try to retrive 4 bytes from a property
	  (from stalonetray-0.6.3-alt-gwp.patch)

2007-08-28 13:01  busa_ru

	* 
	  
	  fix: icon_placement_choose_best(): use grid deltas * icon size as
	  a cutoff maximum when computing window size deltas
	  fix: icon_placement_choose_best(): always take window size deltas
	  into account (and not only when shrink-back mode is off)

2007-08-28 12:58  busa_ru

	* 
	  
	  *** empty log message ***

2007-08-28 12:44  busa_ru

	* 
	  
	  fix: icon_placement_choose_best(): use grid deltas * icon size as
	  a cutoff maximum when computing window size deltas
	  fix: icon_placement_choose_best(): always take window size deltas
	  into account (and not only when shrink-back mode is off)

2007-08-27 03:32  busa_ru

	* 
	  
	  Fix crazy bug which caused icon list to be sorted inside the
	  icon_list_for_all(). Details follow.
	  
	  upd: grid_add() no longer calls grid_update()
	  fix: grid_update(): new parameter, sort: whether
	  to sort icon list
	  upd: grid_place_icon(): update grid dimensions
	  if grid deletas as non-zero
	  upd: layout_handle_icon_resize(): print list of icons
	  that are to be added back to the grid
	  fix: layout_handle_icon_resize(): if shrink back mode
	  is on, ensure that the resulting layout is minimal
	  by recalculating minimal grid size before starting
	  to add icons back to the grid
	  upd: layout_add(): manually call grid_update() if necessary
	  
	  Misc. changes:
	  
	  upd: remove unused (but declared) grid_rebuild()
	  fix: icon_placement_create(): fix typo:
	  settings.max_tray_height -> settings.max_layout_height
	  upd: icon_placement_choose_best(): isolate window-size related
	  parts using ifdefs
	  upd: icon_placement_choose_best(): calculate and take into account
	  window size deltas only if shrink-back mode is on
	  fix: grid_recalc_size(): improve english in comment

2007-08-26 15:33  busa_ru

	* 
	  
	  fix: tray_acquire_selection(): do not free tray_sel_atom_name, since it
	  is used while re-acquiring tray selection
	  fix: tray_update_window_size(): set tray maximal size if shrink back is
	  on
	  upd: tray_update_window_size(): cleanups
	  fix: tray_update_bg(): gracefully handle absence of root pmap

2007-08-26 15:28  busa_ru

	* 
	  
	  upd: remove useless comment

2007-08-26 15:25  busa_ru

	* 
	  
	  fix: check window parameter value of WM_DELETE message to avoid SIDS

2007-08-26 15:21  busa_ru

	* 
	  
	  *** empty log message ***

2007-08-14 15:50  busa_ru

	* 
	  
	  *** empty log message ***

2007-08-14 15:47  busa_ru

	* 
	  
	  add: tray_data.async_dpy which is used to send asynchronous messages
	  to the tray as in exit_on_signal() handler in main.c

2007-08-14 15:37  busa_ru

	* 
	  
	  fix: implement usleep()-less event loop, exit_on_signal() now sends a
	  fake WM_DELETE_WINDOW event to the tray window using extra display
	  fix: do not print icon list contents in USR1 handler, just set the flag
	  which is handled in perform_periodic_tasks(); this removes possible
	  race condition
	  upd: remove USR2 handler, this is useless

2007-08-13 13:25  busa_ru

	* 
	  
	  fix: replace CARD32/INT32 in definition of MWM window hints with longs

2007-08-13 13:24  busa_ru

	* 
	  
	  fix: x11_get_win_prop32(): free buf only iff its non-null

2007-08-13 13:22  busa_ru

	* 
	  
	  fix: tray_update_bg(): recreate final_pmap if it is None
	  fix: tray_update_bg(): return from the function after disabling transparency
	  fix: tray_create_window(): fix some leaks

2007-08-13 13:16  busa_ru

	* 
	  
	  fix: interpret_settings(): parse tint color _after_ tint level value was
	  sanitized and iff it is non-zero
	  upd: minor update of usage() text

2007-08-13 13:10  busa_ru

	* 
	  
	  *** empty log message ***

2007-08-10 15:35  busa_ru

	* 
	  
	  fix: remove dependency on stdint.h, use CARD8, CARD16 and CARD32 instead
	  of uint*_t stuff

2007-08-10 15:33  busa_ru

	* 
	  
	  fix: add missing include of X.h

2007-08-10 15:27  busa_ru

	* 
	  
	  *** empty log message ***

2007-08-07 15:51  busa_ru

	* 
	  
	  upd: replaced --no-deco, --no-title and --no-border with single
	  --decorations option
	  upd: usage() now reflects the set of all available options

2007-08-07 15:34  busa_ru

	* 
	  
	  *** empty log message ***

2007-08-05 16:14  busa_ru

	* 
	  
	  *** empty log message ***

2007-08-05 16:00  busa_ru

	* 
	  
	  upd: rename xembed_{next,prev}_icon() to xembed_{next,prev}() for consistency
	  fix: use layout_{next,prev}() in xembed_{next,prev}() so that tab chain
	  matches icon layout

2007-08-05 15:53  busa_ru

	* 
	  
	  add: layout_{next,prev}() functions which are used in walking
	  along tab chain.

2007-08-05 15:46  busa_ru

	* 
	  
	  *** empty log message ***

2007-08-05 15:15  busa_ru

	* 
	  
	  fix: reduce main event loop delay to 100000 usecs

2007-08-05 15:14  busa_ru

	* 
	  
	  fix: initial (lame) implementation of xembed accel handling.
	  nobody uses it anyway :)

2007-08-05 15:13  busa_ru

	* 
	  
	  fix: take into account window size changes when choosing
	  best placement

2007-08-04 17:10  busa_ru

	* 
	  
	  fix: use exit_flag for gracefull exit and sleep 100 times longer in main event
	  loop
	  fix: start trapping x11 earlier
	  fix: combine handlers for SIGINT, SIGKILL and SIGTER into one: sigdie()
	  fix: check x11 connection status in cleanup()
	  fix: update bg on wallpaper changes not only when the tray is root-transparent,
	  but also when parent_bg is on

2007-08-04 16:52  busa_ru

	* 
	  
	  fix: implement correct XEMBED events handling scheme
	  fix: implement correct focus switching behaviour
	  fix: really propagate keyboard events to the icons
	  fix: implement correct focus request behaviour with
	  new func xembed_request_focus_from_wm()
	  fix: implement correct accel handling scheme (totest)

2007-08-04 16:46  busa_ru

	* 
	  
	  fix: use DefaultRootWindow
	  add: implement X11 io handler

2007-08-04 16:43  busa_ru

	* 
	  
	  fix: use DefaultRootWindow() instead of RootWindow(dpy, ...)

2007-08-04 16:30  busa_ru

	* 
	  
	  *** empty log message ***

2007-07-31 15:37  busa_ru

	* 
	  
	  fix: replace x11_get_winlist_prop() with x11_get_win_prop32() and fix it
	  add: x11_get_winlist_prop() macro to wrap around x11_get_win_prop32()
	  fix: x11_error_handler() now reports request opcode and resource id
	  add: x11_extend_root_event_mask() to incrementally modify event
	  selection mask for root window

2007-07-31 15:32  busa_ru

	* 
	  
	  fix: make use of x11_* calls from xutils in ewmh_add_window_type(),
	  ewmh_check_support() and ewmh_dump_window_states()

2007-07-31 15:31  busa_ru

	* 
	  
	  add: tray_refresh_window() which refreshes all the icons and tray window itself

2007-07-31 15:30  busa_ru

	* 
	  
	  upd: minor updates to remove gcc warnings

2007-07-31 15:25  busa_ru

	* 
	  
	  upd: code cleanup, comments, etc

2007-07-31 15:24  busa_ru

	* 
	  
	  fix: add embedder_refresh() call to embedder_update_window_positiion()
	  upd: comments, cleanup, etc

2007-07-31 15:22  busa_ru

	* 
	  
	  fix: error handing in print_icon_data was broken and X11 error state
	  was not reset in the end.

2007-07-31 15:19  busa_ru

	* 
	  
	  *** empty log message ***

2007-07-22 16:54  busa_ru

	* 
	  
	  *** empty log message ***

2007-07-22 16:34  busa_ru

	* 
	  
	  add: --withdrawn cmdline param to control initial state of tray window

2007-07-22 16:21  busa_ru

	* 
	  
	  add: x11_extend_root_event_mask() function to incrementally extend
	  event mask of the root window. used in tray_create_window() and
	  kde_tray_init()

2007-07-22 16:15  busa_ru

	* 
	  
	  fix: bug in kde_tray_check_for_icon(): _KDE_NET_WM_SYSTEM_TRAY_WINDOW_FOR
	  property was not actually retrived
	  fix: bug in kde_tray_find_icon(): must call self recursively instead of
	  kde_tray_check_for_icon()
	  add: legacy scheme for handling KDE icons based on tracking MapNotify.

2007-07-22 16:02  busa_ru

	* 
	  
	  *** empty log message ***

2007-07-19 04:01  busa_ru

	* 
	  
	  *** empty log message ***

2007-07-19 03:11  busa_ru

	* 
	  
	  fix: implement clipping in tray_update_bg()
	  add: store root window dimensions in tray_data (initialized in
	  interpret_settings())

2007-07-19 03:08  busa_ru

	* 
	  
	  fix: --help was lacking any default value which resulted in crash
	  fix: removed --edges-fuzziness-level, now --fuzzy-edges just takes a parameter

2007-07-19 03:00  busa_ru

	* 
	  
	  fix: comment out unused variable in embedder_refresh()

2007-07-19 02:56  busa_ru

	* 
	  
	  add: neat macros cutoff() and val_range()

2007-07-19 02:54  busa_ru

	* 
	  
	  *** empty log message ***

2007-07-15 10:08  busa_ru

	* 
	  
	  fix: tray_update_bg(): ask all icons to repaint themselves after background
	  was updated.

2007-07-15 10:04  busa_ru

	* 
	  
	  fix: code cleanup

2007-07-15 10:03  busa_ru

	* 
	  
	  fix: *_mapped_state() use right array subscript

2007-07-15 09:58  busa_ru

	* 
	  
	  fix: improve value stanitanization code in interpret_settings()

2007-07-15 09:35  busa_ru

	* 
	  
	  *** empty log message ***

2007-07-15 09:21  busa_ru

	* 
	  
	  fix: improve embedder_refresh() to produce less flicker

2007-07-15 09:19  busa_ru

	* 
	  
	  *** empty log message ***

2007-07-05 15:02  busa_ru

	* 
	  
	  add: support for 15/16/24 bit depths for composing/tinging images. Untested.

2007-07-05 15:00  busa_ru

	* 
	  
	  fix: parse_cmdline(): fix parsing of stanalone arguments by rejecting
	  standalone arguments that start with '-'. To be documented.

2007-07-01 16:39  busa_ru

	* 
	  
	  add: fuzzy edges support
	  add: tray_update_bg() completely rewritten.

2007-07-01 16:34  busa_ru

	* 
	  
	  Added image.{c,h} for simple image manipulations. XRender support
	  is planned.

2007-07-01 16:00  busa_ru

	* 
	  
	  *** empty log message ***

2007-06-26 13:22  busa_ru

	* 
	  
	  - fix: parse_cmdline() did not process optional args correctly.
	  - add: add extra arg for parse_xxx() funcs: whether to fail silently

2007-06-22 16:26  busa_ru

	* 
	  
	  *** empty log message ***

2007-06-18 07:58  busa_ru

	* 
	  
	  *** empty log message ***

2007-02-26 18:19  busa_ru

	* 
	  
	  *** empty log message ***

2007-02-03 19:12  busa_ru

	* 
	  
	  Code cleanup stage 1:
	  * comments were added
	  * function names were adjusted
	  
	  Not thoroughly tested --- may be broken.

2007-01-10 16:24  busa_ru

	* 
	  
	  *** empty log message ***

2007-01-05 06:40  busa_ru

	* 
	  
	  *** empty log message ***

2007-01-04 15:46  busa_ru

	* 
	  
	  * bump the version number
	  * remove debian/ directory from source tarball

2007-01-04 15:33  busa_ru

	* 
	  
	  *** empty log message ***

2007-01-04 13:31  busa_ru

	* 
	  
	  * some refactoring
	  * use only minimal size from window size hints
	  * make dump_win_info() depend on ENABLE_DUMP_WIN_INFO

2007-01-04 08:33  busa_ru

	* 
	  
	  * add read_wm_normal_hints() which is used to (more correctly) obtain icon
	  geometry

2007-01-04 08:32  busa_ru

	* 
	  
	  *** empty log message ***

2007-01-04 08:24  busa_ru

	* 
	  
	  *** empty log message ***

2006-12-28 17:39  busa_ru

	* 
	  
	  * correct version in debian/changelog
	  * update debug CFLAGS in configure.in

2006-12-28 17:29  busa_ru

	* 
	  
	  * fix compilation when XPM library is missing
	  * update NEWS file

2006-12-27 06:34  busa_ru

	* 
	  
	  * fix configure.in
	  * fix some warnings

2006-12-26 13:52  busa_ru

	* 
	  
	  upd: all versions bumped

2006-12-26 13:32  busa_ru

	* 
	  
	  *** empty log message ***

2006-12-26 13:22  busa_ru

	* 
	  
	  fix: kill the last XSync

2006-12-26 13:08  busa_ru

	* 
	  
	  *** empty log message ***

2006-12-26 13:04  busa_ru

	* 
	  
	  fix: added ifdef DEBUG to all print_icon_data calls

2006-12-26 12:57  busa_ru

	* 
	  
	  * fixed trap/untrap_errors for nested calls support
	  * fixed handle_icon_resize()
	  * misc.fixes

2006-12-22 19:30  busa_ru

	* 
	  
	  *** empty log message ***

2006-12-22 19:28  busa_ru

	* 
	  
	  * update old kde icons list on resp. property notify

2006-12-22 16:20  busa_ru

	* 
	  
	  *** empty log message ***

2006-12-22 16:18  busa_ru

	* 
	  
	  * bumped vesrion to 0.6-pre0
	  * pixmap bg support
	  * NEWS file updated
	  * misc. cleanup

2006-12-20 18:40  busa_ru

	* 
	  
	  *** empty log message ***

2006-12-20 18:39  busa_ru

	* 
	  
	  * provide version info in --help output

2006-12-20 18:03  busa_ru

	* 
	  
	  *** empty log message ***

2006-12-20 16:49  busa_ru

	* 
	  
	  *** empty log message ***

2006-12-20 16:36  busa_ru

	* 
	  
	  *** empty log message ***

2006-12-20 16:17  busa_ru

	* 
	  
	  *** empty log message ***

2006-12-03 18:01  busa_ru

	* 
	  
	  I'm too lazy to write commit messages

2006-12-03 17:56  busa_ru

	* 
	  
	  *** empty log message ***

2006-11-27 18:52  busa_ru

	* 
	  
	  * upd: commented out dump_win_info() until its fixed

2006-11-27 18:52  busa_ru

	* 
	  
	  * upd: removed unused xa_wm_take_focus

2006-11-27 06:40  busa_ru

	* 
	  
	  * fix: print fname and line number, improve portability

2006-11-27 06:38  busa_ru

	* 
	  
	  * upd: raised debug levels for useless messages

2006-11-27 06:37  busa_ru

	* 
	  
	  *** empty log message ***

2006-11-10 08:34  busa_ru

	* 
	  
	  *** empty log message ***

2006-11-10 08:29  busa_ru

	* 
	  
	  fix: correct implementation of focus proxy in xembed_init()
	  fix: correct focus tracking in xembed_handle_event()
	  fix: fix non-focusable icons detection (still broken, I think)
	  upd: change interface to xembed_track_focus_change()
	  upd: cleanup xembed_message()
	  upd: misc cleanups

2006-11-10 08:11  busa_ru

	* 
	  
	  fix: embed_kde_icons() cleaned up
	  add: print type of WM_PROTOCOLS message in client_message()

2006-11-10 08:07  busa_ru

	* 
	  
	  add: create targets for html and manpage
	  add: create target for Changelog

2006-11-10 07:59  busa_ru

	* 
	  
	  add: print_debug_header() now prints debug level of the message

2006-10-29 08:12  busa_ru

	* 
	  
	  fix: xembed_{next,prev}_icon() now actually work
	  fix: better focus handling in xembed_event()

2006-10-29 07:57  busa_ru

	* 
	  
	  fix: dump_win_info(): check the property before trying to print its contents

2006-10-29 07:55  busa_ru

	* 
	  
	  fix: check if the current xembed focused icon is non-NULL in the sigusr1 handler

2006-10-29 07:54  busa_ru

	* 
	  
	  fix: struct TrayIcon: more consistent names for xembed-related fields

2006-10-29 07:52  busa_ru

	* 
	  
	  *** empty log message ***

2006-10-26 12:32  busa_ru

	* 
	  
	  *** empty log message ***

2006-10-26 12:30  busa_ru

	* 
	  
	  upd: dump_win_info() now really works

2006-10-26 12:24  busa_ru

	* 
	  
	  OUCH. Completely new files =) Reworked XEMBED interface. Still needs testing.

2006-10-26 12:20  busa_ru

	* 
	  
	  fix: portability enchancements in ewmh_dump_window_states()

2006-10-26 12:19  busa_ru

	* 
	  
	  add: struct XEMBEDData tray_data to TrayData
	  add: ask WM for WM_TAKE focus for XEMBED

2006-10-26 12:15  busa_ru

	* 
	  
	  upd: all XEMBED functionality is now provided by xembed.c

2006-10-26 12:14  busa_ru

	* 
	  
	  fix: remove unneeded ';' in macro definitions

2006-10-26 12:08  busa_ru

	* 
	  
	  add: new fields in struct TrayIcon:
	  - supports_xembed : flag for xembed support
	  - last_xembed_timestamp : the timestamp of last processed xmebed event
	  - last_xembed_msgid : the id of last processed xembed event
	  fix: stupid bugs in next_icon and prev_icon
	  add: new function find_icon_ex() --- searches not only by window id, but also
	  by mid-parent id
	  upd: print_icon_data updated

2006-10-26 12:06  busa_ru

	* 
	  
	  * use new xembed calls

2006-09-21 04:46  busa_ru

	* 
	  
	  *** empty log message ***

2006-09-21 04:46  busa_ru

	* 
	  
	  * remove 'permanent' option. now this is the default behaviour

2006-09-21 04:45  busa_ru

	* 
	  
	  * focus change is now logged

2006-09-17 10:51  busa_ru

	* 
	  
	  * fix new rc file behaviour concerning bool kw

2006-09-16 06:01  busa_ru

	* 
	  
	  * added data structures to track internal XEMBED focus

2006-09-16 05:59  busa_ru

	* 
	  
	  * fix compiler warning

2006-09-16 05:58  busa_ru

	* 
	  
	  * remove dependency on GNU wordexp
	  * make boolean rc file directives have _optional_ arguments

2006-09-16 05:54  busa_ru

	* 
	  
	  * implement basic focus tracking and related XEMBED behaviour

2006-09-16 05:52  busa_ru

	* 
	  
	  *** empty log message ***

2006-09-16 05:51  busa_ru

	* 
	  
	  * correctly check for backtrace presence

2006-09-16 05:38  busa_ru

	* 
	  
	  *** empty log message ***

2006-09-08 19:16  busa_ru

	* 
	  
	  * fixed find_placement to accurately handle invalid placements

2006-09-08 19:13  busa_ru

	* 
	  
	  *** empty log message ***

2006-09-05 14:47  busa_ru

	* 
	  
	  * revert small temporary changes

2006-09-04 18:08  busa_ru

	* 
	  
	  *** empty log message ***

2006-09-04 18:05  busa_ru

	* 
	  
	  + check for libgen.h

2006-09-04 18:03  busa_ru

	* 
	  
	  * enclosed macro definition in do {} while(0)

2006-09-04 18:02  busa_ru

	* 
	  
	  * update macros for do {} while(0)
	  * fix GNUish call to strftime in print_debug_header()

2006-09-04 18:01  busa_ru

	* 
	  
	  * update macros: enclose them in do {} while(0)
	  * update (un)embedding code to use wait_for_event(_serial)
	  * revert embedding code to old behaviour: now icon is considered unembedding
	  until there was a proper reparent notify
	  * fix the bug with icon placement inside the mid-parent. now the icon
	  is always moved to (0,0) when updating its position

2006-09-04 17:58  busa_ru

	* 
	  
	  + new functions next_icon() and prev_icon() to walk along the list of icons
	  in a circular way (for XEMBED focus)
	  * increased debug level for restoring/purging/backuping icon list
	  * slight modification for forall_icons_from(): now if tgt == NULL it starts
	  from the head of the icon list
	  * print_icon_data now also prints mapstate of the icon
	  * comments in icons.h

2006-09-04 17:55  busa_ru

	* 
	  
	  + comments in kde_tray.h
	  * code cleanup in check_kde_tray_icons()

2006-09-04 17:53  busa_ru

	* 
	  
	  + complete rework of layout engine: cleaner, more simple code. no x-related
	  calls.

2006-09-04 17:49  busa_ru

	* 
	  
	  + basic support for XEMBED focus (added focus_change() function)
	  * fixed (un)embedding/resize handling functions to match new concept
	  * updated (un)embedding code to match new embedding concept
	  + basic supprt for collecting KDE icons on startup

2006-09-04 17:45  busa_ru

	* 
	  
	  * enclosed macro definition in do {} while(0)

2006-09-04 17:43  busa_ru

	* 
	  
	  * fixed basename bug: XPG version from libgen.h is now used
	  * fixed initialization bug: now settings.full_pmt_search,
	  settings.min_space_policy and settings.minimal_movement
	  are initialized on startup
	  + added comments to settings.h

2006-09-04 17:41  busa_ru

	* 
	  
	  + added basic support for XEMBED focus changes (TrayData.xembed_current)
	  + new tray_show() function
	  * better selection handling (TrayData.old_sel_owner)
	  + fixed tray growing bug

2006-09-04 17:37  busa_ru

	* 
	  
	  * fixed prototypes for tray_set_mwm_hints() and mwm_set_hints() were added to
	  wmh.h
	  * small code cleanup for wmh.c

2006-09-04 17:33  busa_ru

	* 
	  
	  + xembed_get_info() now returns XEMBED_ERROR if something goes wrong

2006-09-04 17:31  busa_ru

	* 
	  
	  + new functions wait_for_event and wait_for_event_serial
	  + new debug function dump_win_info

2006-06-11 17:01  busa_ru

	* 
	  
	  *** empty log message ***

2006-06-11 15:46  busa_ru

	* 
	  
	  * now works in non-debug mode
	  * added USR1 handler to non-debug mode
	  * really fixed geometry issues (TODO item #1)
	  * tray.c cleaned up a bit
	  * fixed some signed<->unsigned conversion compile time warnings
	  * better embedding code (still needs more work)

2006-05-21 16:41  busa_ru

	* 
	  
	  fix: provide correct gravity for tray`s window (TODO item 1)

2006-05-21 16:38  busa_ru

	* 
	  
	  *** empty log message ***

2006-05-21 05:55  busa_ru

	* 
	  
	  fix: set window gravity

2006-05-21 05:51  busa_ru

	* 
	  
	  preliminary TODO for 0.5 is ready

2006-05-15 12:24  busa_ru

	* 
	  
	  *** empty log message ***

2006-05-15 10:54  busa_ru

	* 
	  
	  add: version bumped to 0.4

2006-05-15 08:53  busa_ru

	* 
	  
	  fix: make sources c89 conformant

2006-05-14 12:56  busa_ru

	* 
	  
	  *** empty log message ***

2006-05-07 14:56  busa_ru

	* 
	  
	  fix: work around the absence of wordexp in netbsd

2006-05-07 08:02  busa_ru

	* 
	  
	  fix: preliminary support for systems with/without backtrace/printstack

2006-05-05 12:31  busa_ru

	* 
	  
	  fix: temporarily disable collection of kde icons on startup

2006-05-05 12:24  busa_ru

	* 
	  
	  *** empty log message ***

2006-05-05 12:02  busa_ru

	* 
	  
	  add: PORTING issues

2006-05-01 07:52  busa_ru

	* 
	  
	  fix: DBG() reorganization
	  fix: code cleanup

2006-04-30 12:39  busa_ru

	* 
	  
	  fix: code and configure.in cleanup

2006-04-29 17:13  busa_ru

	* 
	  
	  add: collect KDE/FDO-compatible icons at startup

2006-04-29 15:46  busa_ru

	* 
	  
	  add: timestamping mechanism

2006-04-27 15:59  busa_ru

	* 
	  
	  add: window layer
	  add: update stalonertayrc.sample

2006-04-17 17:14  busa_ru

	* 
	  
	  *** empty log message ***

2006-04-17 17:06  busa_ru

	* 
	  
	  add: new cmdline/config params: sticky, skip_taskbar, no_title, no_borders
	  and corresponding wmh support
	  fix: get rid of forced_resize_list and friends

2006-04-17 17:02  busa_ru

	* 
	  
	  *** empty log message ***

2006-04-15 08:37  busa_ru

	* 
	  
	  *** empty log message ***

2006-04-15 08:33  busa_ru

	* 
	  
	  fix: add dependency on fnmatch.h

2006-04-15 08:30  busa_ru

	* 
	  
	  *** empty log message ***

2006-04-10 14:40  busa_ru

	* 
	  
	  add: basic support for mwm and ewm hints

2006-03-29 06:49  busa_ru

	* 
	  
	  fix: due to recent fix of geometry bug, the resize code is updated
	  to work with any grow_gravity
	  fix: atom variables must start with xa_

2006-03-29 06:47  busa_ru

	* 
	  
	  fix: sanitize max_width and max_height to be >= icon_size

2006-03-29 06:25  busa_ru

	* 
	  
	  *** empty log message ***

2006-03-28 16:06  busa_ru

	* 
	  
	  fix: typos (again :()

2006-03-28 13:52  busa_ru

	* 
	  
	  fix: typos...

2006-03-28 13:27  busa_ru

	* 
	  
	  fix: removed old news

2006-03-28 13:25  busa_ru

	* 
	  
	  fix: now manpage and debian/ directory are distributed (with make dist)

2006-03-28 13:12  busa_ru

	* 
	  
	  fix: make distcheck works now

2006-03-28 13:08  busa_ru

	* 
	  
	  fix: now version is set to 0.3

2006-03-23 19:08  busa_ru

	* 
	  
	  fix: typos

2006-03-23 06:48  busa_ru

	* 
	  
	  fix: better tray`s geometry tracking (now tray_update_bg() works =)
	  fix: some cleanup in tray_update_bg()

2006-03-19 14:41  busa_ru

	* 
	  
	  fix: remove unused code

2006-03-19 14:38  busa_ru

	* 
	  
	  fix: tray_update_bg()

2006-03-19 14:34  busa_ru

	* 
	  
	  fix: typos, punctuation

2006-03-16 17:36  busa_ru

	* 
	  
	  fix: memory-related fix in print_icon_data()

2006-03-16 17:22  busa_ru

	* 
	  
	  add: more detailed output for print_icon_data()

2006-03-16 17:20  busa_ru

	* 
	  
	  fix: use 22x22 default geometry for KDE tray icons

2006-03-16 16:10  busa_ru

	* 
	  
	  fix: better description

2006-03-14 16:27  busa_ru

	* 
	  
	  fix: current e-mail, better description and other misc fixes for release

2006-03-14 15:53  busa_ru

	* 
	  
	  fix: misc typos in DBG calls

2006-03-14 15:32  busa_ru

	* 
	  
	  fix:misc changes found with -Wall

2006-03-14 15:01  busa_ru

	* 
	  
	  fix: better icon-resize support
	  add: preliminary support (timestamping) for ewmh

2006-03-14 14:58  busa_ru

	* 
	  
	  *** empty log message ***

2006-03-14 14:50  busa_ru

	* 
	  
	  add: show_window() and hide_window() to show/hide icons

2006-03-14 14:45  busa_ru

	* 
	  
	  add: show_window() and hide_window() to show/hide icon
	  fix: source reogranized

2006-03-14 14:40  busa_ru

	* 
	  
	  *** empty log message ***

2006-03-14 14:38  busa_ru

	* 
	  
	  fix: layout_handle_icon_resize() fixes
	  fix: make grid2window and recalc_grid_size ignore not-layed-out icons

2006-03-14 14:35  busa_ru

	* 
	  
	  fix: make icons_backup(),icons_restore(),icons_purge_backup() actually work =)

2006-03-14 14:28  busa_ru

	* 
	  
	  *** empty log message ***

2006-03-09 18:12  busa_ru

	* 
	  
	  add: proper transparent bg support
	  add: icon life cycle implementation as described in docs/ICON_LIFE_CYCLE
	  add: reacquring tray selection support

2006-03-07 10:26  busa_ru

	* 
	  
	  add: split sources for maintainability

2006-03-07 10:23  busa_ru

	* 
	  
	  *** empty log message ***

2006-03-07 10:22  busa_ru

	* 
	  
	  add: icon list backup/restore

2006-03-07 10:04  busa_ru

	* 
	  
	  add: basic documentation

2006-03-07 05:37  busa_ru

	* 
	  
	  add: split sources for maintainability

2006-02-26 05:37  busa_ru

	* 
	  
	  fix: cleanup, optimizations
	  add: root transparency implementation

2006-02-26 05:30  busa_ru

	* 
	  
	  fix: cleanup
	  fix: update sample rc file to be in sync with defaults,

2006-02-25 17:04  busa_ru

	* 
	  
	  fix: cleanup, optimizations

2006-02-25 16:58  busa_ru

	* 
	  
	  add: timestamps for debug output

2006-02-25 16:38  busa_ru

	* 
	  
	  *** empty log message ***

2005-11-25 10:11  busa_ru

	* 
	  
	  add: support for root-transparency

2005-11-25 10:07  busa_ru

	* 
	  
	  fix: possible SIGSEGV

2005-11-25 10:05  busa_ru

	* 
	  
	  fix: include proper headers <stdlib.h> for exit()

2005-11-25 09:09  busa_ru

	* 
	  
	  *** empty log message ***

2005-08-04 15:53  busa_ru

	* 
	  
	  fix: possible SIGSEGV in match_fixed_resize_list

2005-07-17 12:01  busa_ru

	* 
	  
	  *** empty log message ***

2005-06-25 15:32  busa_ru

	* 
	  
	  add: hint WM about min/max sizes and size increment step

2005-06-19 12:16  busa_ru

	* 
	  
	  *** empty log message ***

2005-06-19 12:11  busa_ru

	* 
	  
	  fix: transparent mid-parent is back

2005-06-19 12:09  busa_ru

	* 
	  
	  tray.h

2005-06-19 12:08  busa_ru

	* 
	  
	  add: grid recalculation after certain events

2005-06-17 07:08  busa_ru

	* 
	  
	  fix: more last minute fixes

2005-06-17 06:46  busa_ru

	* 
	  
	  fix: misc last minute fixes

2005-06-17 06:35  busa_ru

	* 
	  
	  add: tray inteface header

2005-06-17 05:46  busa_ru

	* 
	  
	  add: now update_icon_pos resizes parent if necessary

2005-06-17 05:41  busa_ru

	* 
	  
	  add: basic support for icon resizing (layout_handle_icon_resize)
	  add: very basic support for tray resizing (layout_update)
	  fix: placement choosing cleanup (ip_leq)
	  fix: misc. cleanups

2005-06-17 05:39  busa_ru

	* 
	  
	  add: handlers for tray resize, icon resize, etc.
	  add: improvements to grow code: enshure that the tray_data.xsh reflects the real
	  tray geometry

2005-06-17 05:37  busa_ru

	* 
	  
	  add: new member of settings struct: gravity_x, which holds the value of gravity
	  in X11 notation

2005-06-17 05:30  busa_ru

	* 
	  
	  add: forall_icons_from function
	  fix: cmd and sort code cleanups

2005-06-17 05:22  busa_ru

	* 
	  
	  add: -g cmd line param now causes icon to grow after some timeout

2005-06-17 05:21  busa_ru

	* 
	  
	  add: new NEWS file for 0.2 release

2005-06-17 05:17  busa_ru

	* 
	  
	  add: support for backtracing when debug is on

2005-04-11 14:01  busa_ru

	* 
	  
	  fix: misc. debug info enchancements

2005-04-11 13:59  busa_ru

	* 
	  
	  fix: fixed geometry parsing in interpret_settings()

2005-03-24 15:42  busa_ru

	* 
	  
	  *** empty log message ***

2005-03-24 15:37  busa_ru

	* 
	  
	  fix: use NO_NATIVE_KDE for kde icons support

2005-03-24 15:32  busa_ru

	* 
	  
	  add: code cleanup --- simplified unembed_window()

2005-03-24 15:17  busa_ru

	* 
	  
	  fix: fixed list cleanup code

2005-03-24 15:16  busa_ru

	* 
	  
	  *** empty log message ***

2005-03-24 15:14  busa_ru

	* 
	  
	  fix: fixed the --disable-kde configure flag. Now it works :)

2005-03-21 18:35  busa_ru

	* 
	  
	  Changelog is now removed, because it's autogenerated
	  Added to cvs following utils to ease trays' testing
	  - tray-test-fdo is a simple freedesktop.org tray application
	  - get_props shows all atoms assosiated with the given window

2005-03-21 18:18  busa_ru

	* 
	  
	  fix: switched clean_icons() to use code from list.h
	  add: print_icon_data() now gives better information

2005-03-21 18:14  busa_ru

	* 
	  
	  fix: changed the logic: now mid-parent has _exactly_ the size of an icon
	  (this fixes the problem, that icon was trying to move to (0,0) afterwards)
	  add: added a macro CALC_INNER_POS to calculate mid-parent's pos in the grid rect

2005-03-21 18:06  busa_ru

	* 
	  
	  fix: parse_bool() was using if (strcasemp()) instead if (!strcasecmp())
	  fix: moved interpret_settings() to interface part of settings.c and out of
	  read_settings()
	  fix: parse_geometry() now makes use of flags returned by XParseGeometry

2005-03-21 17:16  busa_ru

	* 
	  
	  add: startup code from main() was splitted up to creat_tray_windos()
	  and aquire_tray_selection(), to be easier to understand and mainain
	  fix: embed_icon() cleanup code was wrong
	  add: all atoms are now stored in tray_data

2005-03-21 17:11  busa_ru

	* 
	  
	  *** empty log message ***

2005-03-21 17:09  busa_ru

	* 
	  
	  fix: find_placement: icon, for which placement was to be found,
	  was still considered as an obstacle.
	  fix: layout_icon: add a fallback to 24x24 if icons size cannot be determined
	  fix: layout_icon: fix a call to force_icon_size to appear an all execution flows

2005-03-21 15:58  busa_ru

	* 
	  
	  *** empty log message ***

2005-03-21 15:56  busa_ru

	* 
	  
	  fix: DIE now uses ERR to report a reason

2005-03-21 15:54  busa_ru

	* 
	  
	  add: debug statements are enabled by default

2005-03-21 15:53  busa_ru

	* 
	  
	  add: BUGS to list the current bug list
	  add: more TODO items
	  add: DESIGN-NOTES update

2005-03-18 19:45  busa_ru

	* 
	  
	  fix: cleanup

2005-03-18 19:44  busa_ru

	* 
	  
	  fix: proper debug levels for X events
	  add: better signal handling
	  add: traceback for sigsegv

2005-03-18 19:43  busa_ru

	* 
	  
	  fix: insertion code
	  add: cleanup code

2005-03-18 19:40  busa_ru

	* 
	  
	  add: rewrite from ground up

2005-03-18 19:39  busa_ru

	* 
	  
	  fix: dumb errors

2005-03-18 19:38  busa_ru

	* 
	  
	  fix: better interface part
	  add: mass operations interface

2005-03-18 19:37  busa_ru

	* 
	  
	  fix: error handling code added
	  fix: cleaups
	  add: infrastructure to update icons pos on demand

2005-03-18 19:35  busa_ru

	* 
	  
	  fix: include config.h
	  add: ERR macro to unify error messages

2005-03-18 19:30  busa_ru

	* 
	  
	  *** empty log message ***

2005-03-18 18:40  busa_ru

	* 
	  
	  Now the support for kde tray icons can be enabled at compile time.

2004-09-27 13:44  busa_ru

	* 
	  
	  *** empty log message ***

2004-09-22 14:53  busa_ru

	* 
	  
	  *** empty log message ***

2004-09-17 18:15  busa_ru

	* 
	  
	  *** empty log message ***

2004-07-31 19:15  busa_ru

	* 
	  
	  added icon size monitoring

2004-07-31 09:49  busa_ru

	* 
	  
	  Initial revision

